Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tag: v0.2.1
Fetching contributors…

Cannot retrieve contributors at this time

84 lines (78 sloc) 2.718 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{launchpad}
s.version = "0.2.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Thomas Jachmann"]
s.date = %q{2010-01-24}
s.description = %q{This gem provides an interface to access novation's launchpad programmatically. LEDs can be lighted and button presses can be evaluated using launchpad's MIDI input/output.}
s.email = %q{tom.j@gmx.net}
s.extra_rdoc_files = [
"LICENSE",
"README.rdoc"
]
s.files = [
".document",
".gitignore",
"LICENSE",
"README.rdoc",
"Rakefile",
"examples/color_picker.rb",
"examples/colors.rb",
"examples/doodle.rb",
"examples/double_buffering.rb",
"examples/drawing_board.rb",
"examples/feedback.rb",
"examples/reset.rb",
"examples/setup.rb",
"experiments/wandering_dot.rb",
"launchpad.gemspec",
"lib/launchpad.rb",
"lib/launchpad/device.rb",
"lib/launchpad/errors.rb",
"lib/launchpad/interaction.rb",
"lib/launchpad/midi_codes.rb",
"lib/launchpad/version.rb",
"test/helper.rb",
"test/test_device.rb",
"test/test_interaction.rb"
]
s.homepage = %q{http://github.com/thomasjachmann/launchpad}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.5}
s.summary = %q{A gem for accessing novation's launchpad programmatically and easily.}
s.test_files = [
"test/helper.rb",
"test/test_device.rb",
"test/test_interaction.rb",
"examples/color_picker.rb",
"examples/colors.rb",
"examples/doodle.rb",
"examples/double_buffering.rb",
"examples/drawing_board.rb",
"examples/feedback.rb",
"examples/reset.rb",
"examples/setup.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<portmidi>, [">= 0.0.6"])
s.add_development_dependency(%q<thoughtbot-shoulda>, [">= 0"])
s.add_development_dependency(%q<mocha>, [">= 0"])
else
s.add_dependency(%q<portmidi>, [">= 0.0.6"])
s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
s.add_dependency(%q<mocha>, [">= 0"])
end
else
s.add_dependency(%q<portmidi>, [">= 0.0.6"])
s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
s.add_dependency(%q<mocha>, [">= 0"])
end
end
Jump to Line
Something went wrong with that request. Please try again.